
_set_up:

;code_locking.c,23 :: 		void set_up() {    //Configuration for Pic16F887
;code_locking.c,25 :: 		ANSEL = 0;//
	CLRF       ANSEL+0
;code_locking.c,26 :: 		ANSELH = 0;//  all the pins are configured as digital inputs or outpus
	CLRF       ANSELH+0
;code_locking.c,27 :: 		C1ON_bit = 0;   // analog comparators off.
	BCF        C1ON_bit+0, BitPos(C1ON_bit+0)
;code_locking.c,28 :: 		C2ON_bit = 0;
	BCF        C2ON_bit+0, BitPos(C2ON_bit+0)
;code_locking.c,29 :: 		CCP1CON = 0;   //PWM1 y PWM2 off.
	CLRF       CCP1CON+0
;code_locking.c,30 :: 		CCP2CON = 0;
	CLRF       CCP2CON+0
;code_locking.c,31 :: 		TRISD0_bit=0;
	BCF        TRISD0_bit+0, BitPos(TRISD0_bit+0)
;code_locking.c,32 :: 		TRISD1_bit=0;
	BCF        TRISD1_bit+0, BitPos(TRISD1_bit+0)
;code_locking.c,33 :: 		RD0_bit=0;
	BCF        RD0_bit+0, BitPos(RD0_bit+0)
;code_locking.c,34 :: 		RD1_bit=0;
	BCF        RD1_bit+0, BitPos(RD1_bit+0)
;code_locking.c,35 :: 		Keypad_Init();
	CALL       _Keypad_Init+0
;code_locking.c,36 :: 		Lcd_Init();
	CALL       _Lcd_Init+0
;code_locking.c,37 :: 		Lcd_Cmd(_LCD_CLEAR);
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;code_locking.c,38 :: 		Lcd_Cmd(_LCD_CURSOR_OFF);
	MOVLW      12
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;code_locking.c,40 :: 		}
L_end_set_up:
	RETURN
; end of _set_up

_print_password:

;code_locking.c,42 :: 		void print_password() {
;code_locking.c,45 :: 		ch = password / 10000000;
	MOVLW      128
	MOVWF      R4+0
	MOVLW      150
	MOVWF      R4+1
	MOVLW      152
	MOVWF      R4+2
	MOVLW      0
	MOVWF      R4+3
	MOVF       _password+0, 0
	MOVWF      R0+0
	MOVF       _password+1, 0
	MOVWF      R0+1
	MOVF       _password+2, 0
	MOVWF      R0+2
	MOVF       _password+3, 0
	MOVWF      R0+3
	CALL       _Div_32x32_S+0
;code_locking.c,46 :: 		Lcd_Chr(2,4,48+ch);
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      4
	MOVWF      FARG_Lcd_Chr_column+0
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
;code_locking.c,47 :: 		ch =(password / 1000000 )% 10;
	MOVLW      64
	MOVWF      R4+0
	MOVLW      66
	MOVWF      R4+1
	MOVLW      15
	MOVWF      R4+2
	MOVLW      0
	MOVWF      R4+3
	MOVF       _password+0, 0
	MOVWF      R0+0
	MOVF       _password+1, 0
	MOVWF      R0+1
	MOVF       _password+2, 0
	MOVWF      R0+2
	MOVF       _password+3, 0
	MOVWF      R0+3
	CALL       _Div_32x32_S+0
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	CALL       _Div_32x32_S+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R8+2, 0
	MOVWF      R0+2
	MOVF       R8+3, 0
	MOVWF      R0+3
;code_locking.c,48 :: 		Lcd_Chr_CP(48+ch);
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_CP_out_char+0
	CALL       _Lcd_Chr_CP+0
;code_locking.c,49 :: 		ch =(password / 100000 )% 10;
	MOVLW      160
	MOVWF      R4+0
	MOVLW      134
	MOVWF      R4+1
	MOVLW      1
	MOVWF      R4+2
	MOVLW      0
	MOVWF      R4+3
	MOVF       _password+0, 0
	MOVWF      R0+0
	MOVF       _password+1, 0
	MOVWF      R0+1
	MOVF       _password+2, 0
	MOVWF      R0+2
	MOVF       _password+3, 0
	MOVWF      R0+3
	CALL       _Div_32x32_S+0
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	CALL       _Div_32x32_S+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R8+2, 0
	MOVWF      R0+2
	MOVF       R8+3, 0
	MOVWF      R0+3
;code_locking.c,50 :: 		Lcd_Chr_CP(48+ch);
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_CP_out_char+0
	CALL       _Lcd_Chr_CP+0
;code_locking.c,51 :: 		ch =(password / 10000 )% 10;
	MOVLW      16
	MOVWF      R4+0
	MOVLW      39
	MOVWF      R4+1
	CLRF       R4+2
	CLRF       R4+3
	MOVF       _password+0, 0
	MOVWF      R0+0
	MOVF       _password+1, 0
	MOVWF      R0+1
	MOVF       _password+2, 0
	MOVWF      R0+2
	MOVF       _password+3, 0
	MOVWF      R0+3
	CALL       _Div_32x32_S+0
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	CALL       _Div_32x32_S+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R8+2, 0
	MOVWF      R0+2
	MOVF       R8+3, 0
	MOVWF      R0+3
;code_locking.c,52 :: 		Lcd_Chr_CP(48+ch);
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_CP_out_char+0
	CALL       _Lcd_Chr_CP+0
;code_locking.c,53 :: 		ch =(password / 1000 )% 10;
	MOVLW      232
	MOVWF      R4+0
	MOVLW      3
	MOVWF      R4+1
	CLRF       R4+2
	CLRF       R4+3
	MOVF       _password+0, 0
	MOVWF      R0+0
	MOVF       _password+1, 0
	MOVWF      R0+1
	MOVF       _password+2, 0
	MOVWF      R0+2
	MOVF       _password+3, 0
	MOVWF      R0+3
	CALL       _Div_32x32_S+0
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	CALL       _Div_32x32_S+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R8+2, 0
	MOVWF      R0+2
	MOVF       R8+3, 0
	MOVWF      R0+3
;code_locking.c,54 :: 		Lcd_Chr_CP(48+ch);
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_CP_out_char+0
	CALL       _Lcd_Chr_CP+0
;code_locking.c,55 :: 		ch =(password / 100 )% 10;
	MOVLW      100
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	MOVF       _password+0, 0
	MOVWF      R0+0
	MOVF       _password+1, 0
	MOVWF      R0+1
	MOVF       _password+2, 0
	MOVWF      R0+2
	MOVF       _password+3, 0
	MOVWF      R0+3
	CALL       _Div_32x32_S+0
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	CALL       _Div_32x32_S+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R8+2, 0
	MOVWF      R0+2
	MOVF       R8+3, 0
	MOVWF      R0+3
;code_locking.c,56 :: 		Lcd_Chr_CP(48+ch);
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_CP_out_char+0
	CALL       _Lcd_Chr_CP+0
;code_locking.c,57 :: 		ch =(password / 10 )% 10;
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	MOVF       _password+0, 0
	MOVWF      R0+0
	MOVF       _password+1, 0
	MOVWF      R0+1
	MOVF       _password+2, 0
	MOVWF      R0+2
	MOVF       _password+3, 0
	MOVWF      R0+3
	CALL       _Div_32x32_S+0
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	CALL       _Div_32x32_S+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R8+2, 0
	MOVWF      R0+2
	MOVF       R8+3, 0
	MOVWF      R0+3
;code_locking.c,58 :: 		Lcd_Chr_CP(48+ch);
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_CP_out_char+0
	CALL       _Lcd_Chr_CP+0
;code_locking.c,59 :: 		ch = password % 10;
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	MOVF       _password+0, 0
	MOVWF      R0+0
	MOVF       _password+1, 0
	MOVWF      R0+1
	MOVF       _password+2, 0
	MOVWF      R0+2
	MOVF       _password+3, 0
	MOVWF      R0+3
	CALL       _Div_32x32_S+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R8+2, 0
	MOVWF      R0+2
	MOVF       R8+3, 0
	MOVWF      R0+3
;code_locking.c,60 :: 		Lcd_Chr_CP(48+ch);
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_CP_out_char+0
	CALL       _Lcd_Chr_CP+0
;code_locking.c,61 :: 		delay_ms(100);
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L_print_password0:
	DECFSZ     R13+0, 1
	GOTO       L_print_password0
	DECFSZ     R12+0, 1
	GOTO       L_print_password0
	NOP
	NOP
;code_locking.c,62 :: 		}
L_end_print_password:
	RETURN
; end of _print_password

_buzzer:

;code_locking.c,64 :: 		void buzzer() {
;code_locking.c,65 :: 		RD1_bit=1;
	BSF        RD1_bit+0, BitPos(RD1_bit+0)
;code_locking.c,66 :: 		delay_ms(Tone);
	MOVLW      195
	MOVWF      R12+0
	MOVLW      205
	MOVWF      R13+0
L_buzzer1:
	DECFSZ     R13+0, 1
	GOTO       L_buzzer1
	DECFSZ     R12+0, 1
	GOTO       L_buzzer1
;code_locking.c,67 :: 		RD1_bit=0;
	BCF        RD1_bit+0, BitPos(RD1_bit+0)
;code_locking.c,68 :: 		delay_ms(Tone);
	MOVLW      195
	MOVWF      R12+0
	MOVLW      205
	MOVWF      R13+0
L_buzzer2:
	DECFSZ     R13+0, 1
	GOTO       L_buzzer2
	DECFSZ     R12+0, 1
	GOTO       L_buzzer2
;code_locking.c,69 :: 		}
L_end_buzzer:
	RETURN
; end of _buzzer

_checking:

;code_locking.c,71 :: 		void checking() {
;code_locking.c,72 :: 		buzzer();
	CALL       _buzzer+0
;code_locking.c,73 :: 		Lcd_Cmd(_LCD_CLEAR);
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;code_locking.c,74 :: 		text = "PASSWORD";
	MOVLW      ?lstr1_code_locking+0
	MOVWF      _text+0
;code_locking.c,75 :: 		Lcd_Out(1,4,text);
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      4
	MOVWF      FARG_Lcd_Out_column+0
	MOVF       _text+0, 0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;code_locking.c,76 :: 		Delay_1sec();
	CALL       _Delay_1sec+0
;code_locking.c,78 :: 		if(password==12481632){ //access number
	MOVF       _password+3, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__checking39
	MOVF       _password+2, 0
	XORLW      190
	BTFSS      STATUS+0, 2
	GOTO       L__checking39
	MOVF       _password+1, 0
	XORLW      116
	BTFSS      STATUS+0, 2
	GOTO       L__checking39
	MOVF       _password+0, 0
	XORLW      96
L__checking39:
	BTFSS      STATUS+0, 2
	GOTO       L_checking3
;code_locking.c,79 :: 		text = "CORRECT";
	MOVLW      ?lstr2_code_locking+0
	MOVWF      _text+0
;code_locking.c,80 :: 		Lcd_Out(2,4,text);
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      4
	MOVWF      FARG_Lcd_Out_column+0
	MOVF       _text+0, 0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;code_locking.c,81 :: 		LOOP1:
___checking_LOOP1:
;code_locking.c,82 :: 		RD0_bit=1;
	BSF        RD0_bit+0, BitPos(RD0_bit+0)
;code_locking.c,83 :: 		RD1_bit=0;
	BCF        RD1_bit+0, BitPos(RD1_bit+0)
;code_locking.c,84 :: 		goto LOOP1;
	GOTO       ___checking_LOOP1
;code_locking.c,85 :: 		}
L_checking3:
;code_locking.c,87 :: 		text = "INCORRECT";
	MOVLW      ?lstr3_code_locking+0
	MOVWF      _text+0
;code_locking.c,88 :: 		Lcd_Out(2,4,text);
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      4
	MOVWF      FARG_Lcd_Out_column+0
	MOVF       _text+0, 0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;code_locking.c,89 :: 		LOOP2:
___checking_LOOP2:
;code_locking.c,90 :: 		RD1_bit=0;
	BCF        RD1_bit+0, BitPos(RD1_bit+0)
;code_locking.c,91 :: 		delay_ms(alarm);
	MOVLW      3
	MOVWF      R11+0
	MOVLW      138
	MOVWF      R12+0
	MOVLW      85
	MOVWF      R13+0
L_checking5:
	DECFSZ     R13+0, 1
	GOTO       L_checking5
	DECFSZ     R12+0, 1
	GOTO       L_checking5
	DECFSZ     R11+0, 1
	GOTO       L_checking5
	NOP
	NOP
;code_locking.c,92 :: 		RD1_bit=1;
	BSF        RD1_bit+0, BitPos(RD1_bit+0)
;code_locking.c,93 :: 		delay_ms(alarm);
	MOVLW      3
	MOVWF      R11+0
	MOVLW      138
	MOVWF      R12+0
	MOVLW      85
	MOVWF      R13+0
L_checking6:
	DECFSZ     R13+0, 1
	GOTO       L_checking6
	DECFSZ     R12+0, 1
	GOTO       L_checking6
	DECFSZ     R11+0, 1
	GOTO       L_checking6
	NOP
	NOP
;code_locking.c,94 :: 		goto LOOP2;
	GOTO       ___checking_LOOP2
;code_locking.c,97 :: 		}
L_end_checking:
	RETURN
; end of _checking

_main:

;code_locking.c,100 :: 		void main() {
;code_locking.c,101 :: 		set_up();
	CALL       _set_up+0
;code_locking.c,102 :: 		text = "PASSWORD";
	MOVLW      ?lstr4_code_locking+0
	MOVWF      _text+0
;code_locking.c,103 :: 		Lcd_Out(1,4,text);
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      4
	MOVWF      FARG_Lcd_Out_column+0
	MOVF       _text+0, 0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;code_locking.c,104 :: 		buzzer();
	CALL       _buzzer+0
;code_locking.c,105 :: 		while (1){
L_main7:
;code_locking.c,107 :: 		if(aux==0) password = 10*password + contador;
	MOVF       _aux+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_main9
	MOVLW      10
	MOVWF      R0+0
	CLRF       R0+1
	CLRF       R0+2
	CLRF       R0+3
	MOVF       _password+0, 0
	MOVWF      R4+0
	MOVF       _password+1, 0
	MOVWF      R4+1
	MOVF       _password+2, 0
	MOVWF      R4+2
	MOVF       _password+3, 0
	MOVWF      R4+3
	CALL       _Mul_32x32_U+0
	MOVF       _contador+0, 0
	MOVWF      _password+0
	MOVLW      0
	BTFSC      _password+0, 7
	MOVLW      255
	MOVWF      _password+1
	MOVWF      _password+2
	MOVWF      _password+3
	MOVF       R0+0, 0
	ADDWF      _password+0, 1
	MOVF       R0+1, 0
	BTFSC      STATUS+0, 0
	INCFSZ     R0+1, 0
	ADDWF      _password+1, 1
	MOVF       R0+2, 0
	BTFSC      STATUS+0, 0
	INCFSZ     R0+2, 0
	ADDWF      _password+2, 1
	MOVF       R0+3, 0
	BTFSC      STATUS+0, 0
	INCFSZ     R0+3, 0
	ADDWF      _password+3, 1
L_main9:
;code_locking.c,108 :: 		if(aux==1) password = password/10;
	MOVF       _aux+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_main10
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	MOVF       _password+0, 0
	MOVWF      R0+0
	MOVF       _password+1, 0
	MOVWF      R0+1
	MOVF       _password+2, 0
	MOVWF      R0+2
	MOVF       _password+3, 0
	MOVWF      R0+3
	CALL       _Div_32x32_S+0
	MOVF       R0+0, 0
	MOVWF      _password+0
	MOVF       R0+1, 0
	MOVWF      _password+1
	MOVF       R0+2, 0
	MOVWF      _password+2
	MOVF       R0+3, 0
	MOVWF      _password+3
L_main10:
;code_locking.c,109 :: 		if(aux==2) password = password;
	MOVF       _aux+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L_main11
L_main11:
;code_locking.c,110 :: 		if(password>99999999) password=0;
	MOVLW      128
	XORLW      5
	MOVWF      R0+0
	MOVLW      128
	XORWF      _password+3, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main41
	MOVF       _password+2, 0
	SUBLW      245
	BTFSS      STATUS+0, 2
	GOTO       L__main41
	MOVF       _password+1, 0
	SUBLW      224
	BTFSS      STATUS+0, 2
	GOTO       L__main41
	MOVF       _password+0, 0
	SUBLW      255
L__main41:
	BTFSC      STATUS+0, 0
	GOTO       L_main12
	CLRF       _password+0
	CLRF       _password+1
	CLRF       _password+2
	CLRF       _password+3
L_main12:
;code_locking.c,111 :: 		print_password();
	CALL       _print_password+0
;code_locking.c,113 :: 		do  //wait that the keypad is pressed and after that is free.
L_main13:
;code_locking.c,114 :: 		kp=Keypad_Key_Click();  //read the keypad.
	CALL       _Keypad_Key_Click+0
	MOVF       R0+0, 0
	MOVWF      _kp+0
;code_locking.c,115 :: 		while (!kp);
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main13
;code_locking.c,116 :: 		switch (kp){
	GOTO       L_main16
;code_locking.c,117 :: 		case  1: contador = 7; aux=0; buzzer();  break;  // 7
L_main18:
	MOVLW      7
	MOVWF      _contador+0
	CLRF       _aux+0
	CALL       _buzzer+0
	GOTO       L_main17
;code_locking.c,118 :: 		case  2: contador = 8; aux=0; buzzer();  break;  // 8
L_main19:
	MOVLW      8
	MOVWF      _contador+0
	CLRF       _aux+0
	CALL       _buzzer+0
	GOTO       L_main17
;code_locking.c,119 :: 		case  3: contador = 9; aux=0; buzzer();  break;  // 9
L_main20:
	MOVLW      9
	MOVWF      _contador+0
	CLRF       _aux+0
	CALL       _buzzer+0
	GOTO       L_main17
;code_locking.c,120 :: 		case  4: contador = 0; aux=1; buzzer();  break;  // (./.) clear
L_main21:
	CLRF       _contador+0
	MOVLW      1
	MOVWF      _aux+0
	CALL       _buzzer+0
	GOTO       L_main17
;code_locking.c,121 :: 		case  5: contador = 4; aux=0; buzzer();  break;  // 4
L_main22:
	MOVLW      4
	MOVWF      _contador+0
	CLRF       _aux+0
	CALL       _buzzer+0
	GOTO       L_main17
;code_locking.c,122 :: 		case  6: contador = 5; aux=0; buzzer();  break;  // 5
L_main23:
	MOVLW      5
	MOVWF      _contador+0
	CLRF       _aux+0
	CALL       _buzzer+0
	GOTO       L_main17
;code_locking.c,123 :: 		case  7: contador = 6; aux=0; buzzer();  break;  // 6
L_main24:
	MOVLW      6
	MOVWF      _contador+0
	CLRF       _aux+0
	CALL       _buzzer+0
	GOTO       L_main17
;code_locking.c,124 :: 		case  8: contador = 0; aux=0; password=0; buzzer(); break; // (X) all clear
L_main25:
	CLRF       _contador+0
	CLRF       _aux+0
	CLRF       _password+0
	CLRF       _password+1
	CLRF       _password+2
	CLRF       _password+3
	CALL       _buzzer+0
	GOTO       L_main17
;code_locking.c,125 :: 		case  9: contador = 1; aux=0; buzzer();  break;  // 1
L_main26:
	MOVLW      1
	MOVWF      _contador+0
	CLRF       _aux+0
	CALL       _buzzer+0
	GOTO       L_main17
;code_locking.c,126 :: 		case 10: contador = 2; aux=0; buzzer();  break;  // 2
L_main27:
	MOVLW      2
	MOVWF      _contador+0
	CLRF       _aux+0
	CALL       _buzzer+0
	GOTO       L_main17
;code_locking.c,127 :: 		case 11: contador = 3; aux=0; buzzer();  break;  // 3
L_main28:
	MOVLW      3
	MOVWF      _contador+0
	CLRF       _aux+0
	CALL       _buzzer+0
	GOTO       L_main17
;code_locking.c,128 :: 		case 12: contador = 0; aux=2; buzzer();  break;  // don't use
L_main29:
	CLRF       _contador+0
	MOVLW      2
	MOVWF      _aux+0
	CALL       _buzzer+0
	GOTO       L_main17
;code_locking.c,129 :: 		case 13: contador = 0; aux=2; buzzer();  break;  // don't use
L_main30:
	CLRF       _contador+0
	MOVLW      2
	MOVWF      _aux+0
	CALL       _buzzer+0
	GOTO       L_main17
;code_locking.c,130 :: 		case 14: contador = 0; aux=0; buzzer();  break;  // 0
L_main31:
	CLRF       _contador+0
	CLRF       _aux+0
	CALL       _buzzer+0
	GOTO       L_main17
;code_locking.c,131 :: 		case 15: checking(); break; //(=)
L_main32:
	CALL       _checking+0
	GOTO       L_main17
;code_locking.c,132 :: 		case 16: contador = 0; aux=2; buzzer();   break; // don't use
L_main33:
	CLRF       _contador+0
	MOVLW      2
	MOVWF      _aux+0
	CALL       _buzzer+0
	GOTO       L_main17
;code_locking.c,133 :: 		}
L_main16:
	MOVF       _kp+0, 0
	XORLW      1
	BTFSC      STATUS+0, 2
	GOTO       L_main18
	MOVF       _kp+0, 0
	XORLW      2
	BTFSC      STATUS+0, 2
	GOTO       L_main19
	MOVF       _kp+0, 0
	XORLW      3
	BTFSC      STATUS+0, 2
	GOTO       L_main20
	MOVF       _kp+0, 0
	XORLW      4
	BTFSC      STATUS+0, 2
	GOTO       L_main21
	MOVF       _kp+0, 0
	XORLW      5
	BTFSC      STATUS+0, 2
	GOTO       L_main22
	MOVF       _kp+0, 0
	XORLW      6
	BTFSC      STATUS+0, 2
	GOTO       L_main23
	MOVF       _kp+0, 0
	XORLW      7
	BTFSC      STATUS+0, 2
	GOTO       L_main24
	MOVF       _kp+0, 0
	XORLW      8
	BTFSC      STATUS+0, 2
	GOTO       L_main25
	MOVF       _kp+0, 0
	XORLW      9
	BTFSC      STATUS+0, 2
	GOTO       L_main26
	MOVF       _kp+0, 0
	XORLW      10
	BTFSC      STATUS+0, 2
	GOTO       L_main27
	MOVF       _kp+0, 0
	XORLW      11
	BTFSC      STATUS+0, 2
	GOTO       L_main28
	MOVF       _kp+0, 0
	XORLW      12
	BTFSC      STATUS+0, 2
	GOTO       L_main29
	MOVF       _kp+0, 0
	XORLW      13
	BTFSC      STATUS+0, 2
	GOTO       L_main30
	MOVF       _kp+0, 0
	XORLW      14
	BTFSC      STATUS+0, 2
	GOTO       L_main31
	MOVF       _kp+0, 0
	XORLW      15
	BTFSC      STATUS+0, 2
	GOTO       L_main32
	MOVF       _kp+0, 0
	XORLW      16
	BTFSC      STATUS+0, 2
	GOTO       L_main33
L_main17:
;code_locking.c,134 :: 		kp=0;
	CLRF       _kp+0
;code_locking.c,135 :: 		Delay_ms(10);
	MOVLW      13
	MOVWF      R12+0
	MOVLW      251
	MOVWF      R13+0
L_main34:
	DECFSZ     R13+0, 1
	GOTO       L_main34
	DECFSZ     R12+0, 1
	GOTO       L_main34
	NOP
	NOP
;code_locking.c,136 :: 		}
	GOTO       L_main7
;code_locking.c,137 :: 		}// END.
L_end_main:
	GOTO       $+0
; end of _main
