//code_locking
char  keypadPort at PORTB;
#define alarm 500
#define Tone 150
///////////////////LCD declarations.
sbit LCD_RS at RD2_bit;
sbit LCD_EN at RD3_bit;
sbit LCD_D4 at RD4_bit;
sbit LCD_D5 at RD5_bit;
sbit LCD_D6 at RD6_bit;
sbit LCD_D7 at RD7_bit;
sbit LCD_RS_Direction at TRISD2_bit;
sbit LCD_EN_Direction at TRISD3_bit;
sbit LCD_D4_Direction at TRISD4_bit;
sbit LCD_D5_Direction at TRISD5_bit;
sbit LCD_D6_Direction at TRISD6_bit;
sbit LCD_D7_Direction at TRISD7_bit;
///////////////////////////////////
short int contador=0, aux=0;
char *text, kp=0;
long password=0;
///////////////////////////////////
void set_up() {    //Configuration for Pic16F887

  ANSEL = 0;//
  ANSELH = 0;//  all the pins are configured as digital inputs or outpus
  C1ON_bit = 0;   // analog comparators off.
  C2ON_bit = 0;
  CCP1CON = 0;   //PWM1 y PWM2 off.
  CCP2CON = 0;
  TRISD0_bit=0;
  TRISD1_bit=0;
  RD0_bit=0;
  RD1_bit=0;
  Keypad_Init();
  Lcd_Init();
  Lcd_Cmd(_LCD_CLEAR);
  Lcd_Cmd(_LCD_CURSOR_OFF);

}
///////////////////////////////////
void print_password() {
  // Write result in ASCII format
  unsigned char ch;
  ch = password / 10000000;
  Lcd_Chr(2,4,48+ch);
  ch =(password / 1000000 )% 10;
  Lcd_Chr_CP(48+ch);
  ch =(password / 100000 )% 10;
  Lcd_Chr_CP(48+ch);
  ch =(password / 10000 )% 10;
  Lcd_Chr_CP(48+ch);
  ch =(password / 1000 )% 10;
  Lcd_Chr_CP(48+ch);
  ch =(password / 100 )% 10;
  Lcd_Chr_CP(48+ch);
  ch =(password / 10 )% 10;
  Lcd_Chr_CP(48+ch);
  ch = password % 10;
  Lcd_Chr_CP(48+ch);
  delay_ms(100);
}
///////////////////////////////////
void buzzer() {
 RD1_bit=1;
 delay_ms(Tone);
 RD1_bit=0;
 delay_ms(Tone);
}
///////////////////////////////////
void checking() {
buzzer();
Lcd_Cmd(_LCD_CLEAR);
text = "PASSWORD";
Lcd_Out(1,4,text);
Delay_1sec();

if(password==12481632){ //access number
 text = "CORRECT";
 Lcd_Out(2,4,text);
 LOOP1:
 RD0_bit=1;
 RD1_bit=0;
 goto LOOP1;
}
else {
 text = "INCORRECT";
 Lcd_Out(2,4,text);
 LOOP2:
 RD1_bit=0;
 delay_ms(alarm);
 RD1_bit=1;
 delay_ms(alarm);
 goto LOOP2;
 }

}
///////////////////////////////////

void main() {
set_up();
text = "PASSWORD";
Lcd_Out(1,4,text);
buzzer();
while (1){

   if(aux==0) password = 10*password + contador;
   if(aux==1) password = password/10;
   if(aux==2) password = password;
   if(password>99999999) password=0;
   print_password();

  do  //wait that the keypad is pressed and after that is free.
  kp=Keypad_Key_Click();  //read the keypad.
  while (!kp);
  switch (kp){
  case  1: contador = 7; aux=0; buzzer();  break;  // 7
  case  2: contador = 8; aux=0; buzzer();  break;  // 8
  case  3: contador = 9; aux=0; buzzer();  break;  // 9
  case  4: contador = 0; aux=1; buzzer();  break;  // (./.) clear
  case  5: contador = 4; aux=0; buzzer();  break;  // 4
  case  6: contador = 5; aux=0; buzzer();  break;  // 5
  case  7: contador = 6; aux=0; buzzer();  break;  // 6
  case  8: contador = 0; aux=0; password=0; buzzer(); break; // (X) all clear
  case  9: contador = 1; aux=0; buzzer();  break;  // 1
  case 10: contador = 2; aux=0; buzzer();  break;  // 2
  case 11: contador = 3; aux=0; buzzer();  break;  // 3
  case 12: contador = 0; aux=2; buzzer();  break;  // don't use
  case 13: contador = 0; aux=2; buzzer();  break;  // don't use
  case 14: contador = 0; aux=0; buzzer();  break;  // 0
  case 15: checking(); break; //(=)
  case 16: contador = 0; aux=2; buzzer();   break; // don't use
  }
   kp=0;
   Delay_ms(10);
 }
}// END.