#line 1 "C:/Users/Usuario/Documents/MikroC_programas/keypad/code locking/code_locking.c"

char keypadPort at PORTB;



sbit LCD_RS at RD2_bit;
sbit LCD_EN at RD3_bit;
sbit LCD_D4 at RD4_bit;
sbit LCD_D5 at RD5_bit;
sbit LCD_D6 at RD6_bit;
sbit LCD_D7 at RD7_bit;
sbit LCD_RS_Direction at TRISD2_bit;
sbit LCD_EN_Direction at TRISD3_bit;
sbit LCD_D4_Direction at TRISD4_bit;
sbit LCD_D5_Direction at TRISD5_bit;
sbit LCD_D6_Direction at TRISD6_bit;
sbit LCD_D7_Direction at TRISD7_bit;

short int contador=0, aux=0;
char *text, kp=0;
long password=0;

void set_up() {

 ANSEL = 0;
 ANSELH = 0;
 C1ON_bit = 0;
 C2ON_bit = 0;
 CCP1CON = 0;
 CCP2CON = 0;
 TRISD0_bit=0;
 TRISD1_bit=0;
 RD0_bit=0;
 RD1_bit=0;
 Keypad_Init();
 Lcd_Init();
 Lcd_Cmd(_LCD_CLEAR);
 Lcd_Cmd(_LCD_CURSOR_OFF);

}

void print_password() {

 unsigned char ch;
 ch = password / 10000000;
 Lcd_Chr(2,4,48+ch);
 ch =(password / 1000000 )% 10;
 Lcd_Chr_CP(48+ch);
 ch =(password / 100000 )% 10;
 Lcd_Chr_CP(48+ch);
 ch =(password / 10000 )% 10;
 Lcd_Chr_CP(48+ch);
 ch =(password / 1000 )% 10;
 Lcd_Chr_CP(48+ch);
 ch =(password / 100 )% 10;
 Lcd_Chr_CP(48+ch);
 ch =(password / 10 )% 10;
 Lcd_Chr_CP(48+ch);
 ch = password % 10;
 Lcd_Chr_CP(48+ch);
 delay_ms(100);
}

void buzzer() {
 RD1_bit=1;
 delay_ms( 150 );
 RD1_bit=0;
 delay_ms( 150 );
}

void checking() {
buzzer();
Lcd_Cmd(_LCD_CLEAR);
text = "PASSWORD";
Lcd_Out(1,4,text);
Delay_1sec();

if(password==12481632){
 text = "CORRECT";
 Lcd_Out(2,4,text);
 LOOP1:
 RD0_bit=1;
 RD1_bit=0;
 goto LOOP1;
}
else {
 text = "INCORRECT";
 Lcd_Out(2,4,text);
 LOOP2:
 RD1_bit=0;
 delay_ms( 500 );
 RD1_bit=1;
 delay_ms( 500 );
 goto LOOP2;
 }

}


void main() {
set_up();
text = "PASSWORD";
Lcd_Out(1,4,text);
buzzer();
while (1){

 if(aux==0) password = 10*password + contador;
 if(aux==1) password = password/10;
 if(aux==2) password = password;
 if(password>99999999) password=0;
 print_password();

 do
 kp=Keypad_Key_Click();
 while (!kp);
 switch (kp){
 case 1: contador = 7; aux=0; buzzer(); break;
 case 2: contador = 8; aux=0; buzzer(); break;
 case 3: contador = 9; aux=0; buzzer(); break;
 case 4: contador = 0; aux=1; buzzer(); break;
 case 5: contador = 4; aux=0; buzzer(); break;
 case 6: contador = 5; aux=0; buzzer(); break;
 case 7: contador = 6; aux=0; buzzer(); break;
 case 8: contador = 0; aux=0; password=0; buzzer(); break;
 case 9: contador = 1; aux=0; buzzer(); break;
 case 10: contador = 2; aux=0; buzzer(); break;
 case 11: contador = 3; aux=0; buzzer(); break;
 case 12: contador = 0; aux=2; buzzer(); break;
 case 13: contador = 0; aux=2; buzzer(); break;
 case 14: contador = 0; aux=0; buzzer(); break;
 case 15: checking(); break;
 case 16: contador = 0; aux=2; buzzer(); break;
 }
 kp=0;
 Delay_ms(10);
 }
}
