
_set_up:

;clock_keypad.c,23 :: 		void set_up() {    //Configuration for Pic16F887
;clock_keypad.c,25 :: 		ANSEL = 0;//    all the pins are configured as digitales inputs or outputs
	CLRF       ANSEL+0
;clock_keypad.c,26 :: 		ANSELH = 0;//
	CLRF       ANSELH+0
;clock_keypad.c,27 :: 		C1ON_bit = 0;    // analog comparators off.
	BCF        C1ON_bit+0, BitPos(C1ON_bit+0)
;clock_keypad.c,28 :: 		C2ON_bit = 0;
	BCF        C2ON_bit+0, BitPos(C2ON_bit+0)
;clock_keypad.c,29 :: 		CCP1CON = 0;   //PWM1 y PWM2 off.
	CLRF       CCP1CON+0
;clock_keypad.c,30 :: 		CCP2CON = 0;
	CLRF       CCP2CON+0
;clock_keypad.c,31 :: 		TRISD0_bit=0;
	BCF        TRISD0_bit+0, BitPos(TRISD0_bit+0)
;clock_keypad.c,32 :: 		TRISD1_bit=0;
	BCF        TRISD1_bit+0, BitPos(TRISD1_bit+0)
;clock_keypad.c,33 :: 		TRISE0_bit=0;
	BCF        TRISE0_bit+0, BitPos(TRISE0_bit+0)
;clock_keypad.c,34 :: 		TRISE1_bit=0;
	BCF        TRISE1_bit+0, BitPos(TRISE1_bit+0)
;clock_keypad.c,35 :: 		TRISE2_bit=0;
	BCF        TRISE2_bit+0, BitPos(TRISE2_bit+0)
;clock_keypad.c,36 :: 		RD0_bit=0;
	BCF        RD0_bit+0, BitPos(RD0_bit+0)
;clock_keypad.c,37 :: 		RD1_bit=0;
	BCF        RD1_bit+0, BitPos(RD1_bit+0)
;clock_keypad.c,38 :: 		RE0_bit=0;
	BCF        RE0_bit+0, BitPos(RE0_bit+0)
;clock_keypad.c,39 :: 		RE1_bit=0;
	BCF        RE1_bit+0, BitPos(RE1_bit+0)
;clock_keypad.c,40 :: 		RE2_bit=0;
	BCF        RE2_bit+0, BitPos(RE2_bit+0)
;clock_keypad.c,41 :: 		Keypad_Init();
	CALL       _Keypad_Init+0
;clock_keypad.c,42 :: 		Lcd_Init();
	CALL       _Lcd_Init+0
;clock_keypad.c,43 :: 		Lcd_Cmd(_LCD_CLEAR);
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;clock_keypad.c,44 :: 		Lcd_Cmd(_LCD_CURSOR_OFF);
	MOVLW      12
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;clock_keypad.c,45 :: 		}
L_end_set_up:
	RETURN
; end of _set_up

_print_clock:

;clock_keypad.c,47 :: 		void print_clock() {
;clock_keypad.c,49 :: 		ch = a0 / 10;
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       _a0+0, 0
	MOVWF      R0+0
	MOVF       _a0+1, 0
	MOVWF      R0+1
	CALL       _Div_16X16_U+0
	MOVF       R0+0, 0
	MOVWF      _ch+0
;clock_keypad.c,50 :: 		Lcd_Chr(1,8,48+ch);
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      8
	MOVWF      FARG_Lcd_Chr_column+0
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
;clock_keypad.c,51 :: 		ch = a0 % 10;
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       _a0+0, 0
	MOVWF      R0+0
	MOVF       _a0+1, 0
	MOVWF      R0+1
	CALL       _Div_16X16_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      _ch+0
;clock_keypad.c,52 :: 		Lcd_Chr_CP(48+ch);
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_CP_out_char+0
	CALL       _Lcd_Chr_CP+0
;clock_keypad.c,53 :: 		Lcd_Chr(1,10,':');
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      10
	MOVWF      FARG_Lcd_Chr_column+0
	MOVLW      58
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
;clock_keypad.c,54 :: 		ch = a1 / 10;
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       _a1+0, 0
	MOVWF      R0+0
	MOVF       _a1+1, 0
	MOVWF      R0+1
	CALL       _Div_16X16_U+0
	MOVF       R0+0, 0
	MOVWF      _ch+0
;clock_keypad.c,55 :: 		Lcd_Chr(1,11,48+ch);
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      11
	MOVWF      FARG_Lcd_Chr_column+0
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
;clock_keypad.c,56 :: 		ch = a1 % 10;
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       _a1+0, 0
	MOVWF      R0+0
	MOVF       _a1+1, 0
	MOVWF      R0+1
	CALL       _Div_16X16_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      _ch+0
;clock_keypad.c,57 :: 		Lcd_Chr_CP(48+ch);
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_CP_out_char+0
	CALL       _Lcd_Chr_CP+0
;clock_keypad.c,58 :: 		Lcd_Chr(1,13,':');
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      13
	MOVWF      FARG_Lcd_Chr_column+0
	MOVLW      58
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
;clock_keypad.c,59 :: 		ch = a2 / 10;
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       _a2+0, 0
	MOVWF      R0+0
	MOVF       _a2+1, 0
	MOVWF      R0+1
	CALL       _Div_16X16_U+0
	MOVF       R0+0, 0
	MOVWF      _ch+0
;clock_keypad.c,60 :: 		Lcd_Chr(1,14,48+ch);
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      14
	MOVWF      FARG_Lcd_Chr_column+0
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
;clock_keypad.c,61 :: 		ch = a2 % 10;
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       _a2+0, 0
	MOVWF      R0+0
	MOVF       _a2+1, 0
	MOVWF      R0+1
	CALL       _Div_16X16_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      _ch+0
;clock_keypad.c,62 :: 		Lcd_Chr_CP(48+ch);
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_CP_out_char+0
	CALL       _Lcd_Chr_CP+0
;clock_keypad.c,63 :: 		ch = hours / 10;
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       _hours+0, 0
	MOVWF      R0+0
	MOVF       _hours+1, 0
	MOVWF      R0+1
	CALL       _Div_16X16_U+0
	MOVF       R0+0, 0
	MOVWF      _ch+0
;clock_keypad.c,64 :: 		Lcd_Chr(2,8,48+ch);
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      8
	MOVWF      FARG_Lcd_Chr_column+0
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
;clock_keypad.c,65 :: 		ch = hours % 10;
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       _hours+0, 0
	MOVWF      R0+0
	MOVF       _hours+1, 0
	MOVWF      R0+1
	CALL       _Div_16X16_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      _ch+0
;clock_keypad.c,66 :: 		Lcd_Chr_CP(48+ch);
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_CP_out_char+0
	CALL       _Lcd_Chr_CP+0
;clock_keypad.c,67 :: 		Lcd_Chr(2,10,':');
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      10
	MOVWF      FARG_Lcd_Chr_column+0
	MOVLW      58
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
;clock_keypad.c,68 :: 		ch = minutes / 10;
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       _minutes+0, 0
	MOVWF      R0+0
	MOVF       _minutes+1, 0
	MOVWF      R0+1
	CALL       _Div_16X16_U+0
	MOVF       R0+0, 0
	MOVWF      _ch+0
;clock_keypad.c,69 :: 		Lcd_Chr(2,11,48+ch);
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      11
	MOVWF      FARG_Lcd_Chr_column+0
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
;clock_keypad.c,70 :: 		ch = minutes % 10;
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       _minutes+0, 0
	MOVWF      R0+0
	MOVF       _minutes+1, 0
	MOVWF      R0+1
	CALL       _Div_16X16_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      _ch+0
;clock_keypad.c,71 :: 		Lcd_Chr_CP(48+ch);
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_CP_out_char+0
	CALL       _Lcd_Chr_CP+0
;clock_keypad.c,72 :: 		Lcd_Chr(2,13,':');
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      13
	MOVWF      FARG_Lcd_Chr_column+0
	MOVLW      58
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
;clock_keypad.c,73 :: 		ch = seconds / 10;
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       _seconds+0, 0
	MOVWF      R0+0
	MOVF       _seconds+1, 0
	MOVWF      R0+1
	CALL       _Div_16X16_U+0
	MOVF       R0+0, 0
	MOVWF      _ch+0
;clock_keypad.c,74 :: 		Lcd_Chr(2,14,48+ch);
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      14
	MOVWF      FARG_Lcd_Chr_column+0
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
;clock_keypad.c,75 :: 		ch = seconds % 10;
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       _seconds+0, 0
	MOVWF      R0+0
	MOVF       _seconds+1, 0
	MOVWF      R0+1
	CALL       _Div_16X16_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      _ch+0
;clock_keypad.c,76 :: 		Lcd_Chr_CP(48+ch);
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_CP_out_char+0
	CALL       _Lcd_Chr_CP+0
;clock_keypad.c,77 :: 		}
L_end_print_clock:
	RETURN
; end of _print_clock

_print_clock2:

;clock_keypad.c,78 :: 		void print_clock2() {
;clock_keypad.c,80 :: 		ch = a0 / 10;
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       _a0+0, 0
	MOVWF      R0+0
	MOVF       _a0+1, 0
	MOVWF      R0+1
	CALL       _Div_16X16_U+0
	MOVF       R0+0, 0
	MOVWF      _ch+0
;clock_keypad.c,81 :: 		Lcd_Chr(1,8,48+ch);
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      8
	MOVWF      FARG_Lcd_Chr_column+0
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
;clock_keypad.c,82 :: 		ch = a0 % 10;
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       _a0+0, 0
	MOVWF      R0+0
	MOVF       _a0+1, 0
	MOVWF      R0+1
	CALL       _Div_16X16_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      _ch+0
;clock_keypad.c,83 :: 		Lcd_Chr_CP(48+ch);
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_CP_out_char+0
	CALL       _Lcd_Chr_CP+0
;clock_keypad.c,84 :: 		Lcd_Chr(1,10,':');
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      10
	MOVWF      FARG_Lcd_Chr_column+0
	MOVLW      58
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
;clock_keypad.c,85 :: 		ch = a1 / 10;
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       _a1+0, 0
	MOVWF      R0+0
	MOVF       _a1+1, 0
	MOVWF      R0+1
	CALL       _Div_16X16_U+0
	MOVF       R0+0, 0
	MOVWF      _ch+0
;clock_keypad.c,86 :: 		Lcd_Chr(1,11,48+ch);
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      11
	MOVWF      FARG_Lcd_Chr_column+0
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
;clock_keypad.c,87 :: 		ch = a1 % 10;
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       _a1+0, 0
	MOVWF      R0+0
	MOVF       _a1+1, 0
	MOVWF      R0+1
	CALL       _Div_16X16_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      _ch+0
;clock_keypad.c,88 :: 		Lcd_Chr_CP(48+ch);
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_CP_out_char+0
	CALL       _Lcd_Chr_CP+0
;clock_keypad.c,89 :: 		Lcd_Chr(1,13,':');
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      13
	MOVWF      FARG_Lcd_Chr_column+0
	MOVLW      58
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
;clock_keypad.c,90 :: 		ch = a2 / 10;
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       _a2+0, 0
	MOVWF      R0+0
	MOVF       _a2+1, 0
	MOVWF      R0+1
	CALL       _Div_16X16_U+0
	MOVF       R0+0, 0
	MOVWF      _ch+0
;clock_keypad.c,91 :: 		Lcd_Chr(1,14,48+ch);
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      14
	MOVWF      FARG_Lcd_Chr_column+0
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
;clock_keypad.c,92 :: 		ch = a2 % 10;
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       _a2+0, 0
	MOVWF      R0+0
	MOVF       _a2+1, 0
	MOVWF      R0+1
	CALL       _Div_16X16_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      _ch+0
;clock_keypad.c,93 :: 		Lcd_Chr_CP(48+ch);
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_CP_out_char+0
	CALL       _Lcd_Chr_CP+0
;clock_keypad.c,94 :: 		ch = i / 10;
	MOVLW      10
	MOVWF      R4+0
	MOVF       _i+0, 0
	MOVWF      R0+0
	CALL       _Div_8X8_S+0
	MOVF       R0+0, 0
	MOVWF      _ch+0
;clock_keypad.c,95 :: 		Lcd_Chr(2,8,48+ch);
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      8
	MOVWF      FARG_Lcd_Chr_column+0
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
;clock_keypad.c,96 :: 		ch = i % 10;
	MOVLW      10
	MOVWF      R4+0
	MOVF       _i+0, 0
	MOVWF      R0+0
	CALL       _Div_8X8_S+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _ch+0
;clock_keypad.c,97 :: 		Lcd_Chr_CP(48+ch);
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_CP_out_char+0
	CALL       _Lcd_Chr_CP+0
;clock_keypad.c,98 :: 		Lcd_Chr(2,10,':');
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      10
	MOVWF      FARG_Lcd_Chr_column+0
	MOVLW      58
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
;clock_keypad.c,99 :: 		ch = j / 10;
	MOVLW      10
	MOVWF      R4+0
	MOVF       _j+0, 0
	MOVWF      R0+0
	CALL       _Div_8X8_S+0
	MOVF       R0+0, 0
	MOVWF      _ch+0
;clock_keypad.c,100 :: 		Lcd_Chr(2,11,48+ch);
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      11
	MOVWF      FARG_Lcd_Chr_column+0
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
;clock_keypad.c,101 :: 		ch = j % 10;
	MOVLW      10
	MOVWF      R4+0
	MOVF       _j+0, 0
	MOVWF      R0+0
	CALL       _Div_8X8_S+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _ch+0
;clock_keypad.c,102 :: 		Lcd_Chr_CP(48+ch);
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_CP_out_char+0
	CALL       _Lcd_Chr_CP+0
;clock_keypad.c,103 :: 		Lcd_Chr(2,13,':');
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      13
	MOVWF      FARG_Lcd_Chr_column+0
	MOVLW      58
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
;clock_keypad.c,104 :: 		ch = k / 10;
	MOVLW      10
	MOVWF      R4+0
	MOVF       _k+0, 0
	MOVWF      R0+0
	CALL       _Div_8X8_S+0
	MOVF       R0+0, 0
	MOVWF      _ch+0
;clock_keypad.c,105 :: 		Lcd_Chr(2,14,48+ch);
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      14
	MOVWF      FARG_Lcd_Chr_column+0
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
;clock_keypad.c,106 :: 		ch = k % 10;
	MOVLW      10
	MOVWF      R4+0
	MOVF       _k+0, 0
	MOVWF      R0+0
	CALL       _Div_8X8_S+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _ch+0
;clock_keypad.c,107 :: 		Lcd_Chr_CP(48+ch);
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_CP_out_char+0
	CALL       _Lcd_Chr_CP+0
;clock_keypad.c,108 :: 		Delay_1sec();
	CALL       _Delay_1sec+0
;clock_keypad.c,109 :: 		}
L_end_print_clock2:
	RETURN
; end of _print_clock2

_buzzer:

;clock_keypad.c,111 :: 		void buzzer() {
;clock_keypad.c,112 :: 		RD1_bit=1;
	BSF        RD1_bit+0, BitPos(RD1_bit+0)
;clock_keypad.c,113 :: 		delay_ms(Tone);
	MOVLW      195
	MOVWF      R12+0
	MOVLW      205
	MOVWF      R13+0
L_buzzer0:
	DECFSZ     R13+0, 1
	GOTO       L_buzzer0
	DECFSZ     R12+0, 1
	GOTO       L_buzzer0
;clock_keypad.c,114 :: 		RD1_bit=0;
	BCF        RD1_bit+0, BitPos(RD1_bit+0)
;clock_keypad.c,115 :: 		delay_ms(Tone);
	MOVLW      195
	MOVWF      R12+0
	MOVLW      205
	MOVWF      R13+0
L_buzzer1:
	DECFSZ     R13+0, 1
	GOTO       L_buzzer1
	DECFSZ     R12+0, 1
	GOTO       L_buzzer1
;clock_keypad.c,116 :: 		}
L_end_buzzer:
	RETURN
; end of _buzzer

_Activar_alarma:

;clock_keypad.c,117 :: 		void Activar_alarma() {
;clock_keypad.c,118 :: 		short i=0;
	CLRF       Activar_alarma_i_L0+0
;clock_keypad.c,119 :: 		kp=0;
	CLRF       _kp+0
;clock_keypad.c,120 :: 		buzzer();
	CALL       _buzzer+0
;clock_keypad.c,121 :: 		for(i=0; i<=3; i++)  {
	CLRF       Activar_alarma_i_L0+0
L_Activar_alarma2:
	MOVLW      128
	XORLW      3
	MOVWF      R0+0
	MOVLW      128
	XORWF      Activar_alarma_i_L0+0, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_Activar_alarma3
;clock_keypad.c,122 :: 		Lcd_Cmd(_LCD_CLEAR);
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;clock_keypad.c,123 :: 		text = "ENABLE ALARM";
	MOVLW      ?lstr1_clock_keypad+0
	MOVWF      _text+0
;clock_keypad.c,124 :: 		Lcd_Out(1,1,text);
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVF       _text+0, 0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;clock_keypad.c,125 :: 		text = "YES(1)_NO(0)";
	MOVLW      ?lstr2_clock_keypad+0
	MOVWF      _text+0
;clock_keypad.c,126 :: 		Lcd_Out(2,1,text);
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVF       _text+0, 0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;clock_keypad.c,127 :: 		do  //hope that the keypad is pressed and after thar is free.
L_Activar_alarma5:
;clock_keypad.c,128 :: 		kp=Keypad_Key_Click();  //read the keypad.
	CALL       _Keypad_Key_Click+0
	MOVF       R0+0, 0
	MOVWF      _kp+0
;clock_keypad.c,129 :: 		while (!kp);
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_Activar_alarma5
;clock_keypad.c,130 :: 		if(kp==14){
	MOVF       _kp+0, 0
	XORLW      14
	BTFSS      STATUS+0, 2
	GOTO       L_Activar_alarma8
;clock_keypad.c,131 :: 		H=0;
	CLRF       _H+0
;clock_keypad.c,132 :: 		i=3;
	MOVLW      3
	MOVWF      Activar_alarma_i_L0+0
;clock_keypad.c,133 :: 		Delay_1sec();
	CALL       _Delay_1sec+0
;clock_keypad.c,134 :: 		Lcd_Cmd(_LCD_CLEAR);
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;clock_keypad.c,135 :: 		}
	GOTO       L_Activar_alarma9
L_Activar_alarma8:
;clock_keypad.c,137 :: 		if(kp==9) {
	MOVF       _kp+0, 0
	XORLW      9
	BTFSS      STATUS+0, 2
	GOTO       L_Activar_alarma10
;clock_keypad.c,138 :: 		Lcd_Cmd(_LCD_CLEAR);
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;clock_keypad.c,139 :: 		text = "AlARM WAS";
	MOVLW      ?lstr3_clock_keypad+0
	MOVWF      _text+0
;clock_keypad.c,140 :: 		Lcd_Out(1,1,text);
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVF       _text+0, 0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;clock_keypad.c,141 :: 		text = "ENABLED";
	MOVLW      ?lstr4_clock_keypad+0
	MOVWF      _text+0
;clock_keypad.c,142 :: 		Lcd_Out(2,1,text);
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVF       _text+0, 0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;clock_keypad.c,143 :: 		Delay_1sec();
	CALL       _Delay_1sec+0
;clock_keypad.c,144 :: 		buzzer();
	CALL       _buzzer+0
;clock_keypad.c,145 :: 		Lcd_Cmd(_LCD_CLEAR);
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;clock_keypad.c,146 :: 		H=1;
	MOVLW      1
	MOVWF      _H+0
;clock_keypad.c,147 :: 		i=3;
	MOVLW      3
	MOVWF      Activar_alarma_i_L0+0
;clock_keypad.c,148 :: 		}
	GOTO       L_Activar_alarma11
L_Activar_alarma10:
;clock_keypad.c,149 :: 		else i=0;
	CLRF       Activar_alarma_i_L0+0
L_Activar_alarma11:
;clock_keypad.c,150 :: 		}
L_Activar_alarma9:
;clock_keypad.c,151 :: 		kp=0;
	CLRF       _kp+0
;clock_keypad.c,121 :: 		for(i=0; i<=3; i++)  {
	INCF       Activar_alarma_i_L0+0, 1
;clock_keypad.c,152 :: 		}
	GOTO       L_Activar_alarma2
L_Activar_alarma3:
;clock_keypad.c,153 :: 		}
L_end_Activar_alarma:
	RETURN
; end of _Activar_alarma

_guardar_alarma:

;clock_keypad.c,154 :: 		void guardar_alarma() {
;clock_keypad.c,155 :: 		short i=0;
	CLRF       guardar_alarma_i_L0+0
;clock_keypad.c,156 :: 		kp=0;
	CLRF       _kp+0
;clock_keypad.c,157 :: 		buzzer();
	CALL       _buzzer+0
;clock_keypad.c,158 :: 		Lcd_Cmd(_LCD_CLEAR);
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;clock_keypad.c,159 :: 		text = "SAVE AlARM";
	MOVLW      ?lstr5_clock_keypad+0
	MOVWF      _text+0
;clock_keypad.c,160 :: 		Lcd_Out(1,1,text);
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVF       _text+0, 0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;clock_keypad.c,161 :: 		text = "YES(1)_NO(0)";
	MOVLW      ?lstr6_clock_keypad+0
	MOVWF      _text+0
;clock_keypad.c,162 :: 		Lcd_Out(2,1,text);
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVF       _text+0, 0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;clock_keypad.c,163 :: 		for(i=0; i<=3; i++)  {
	CLRF       guardar_alarma_i_L0+0
L_guardar_alarma12:
	MOVLW      128
	XORLW      3
	MOVWF      R0+0
	MOVLW      128
	XORWF      guardar_alarma_i_L0+0, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_guardar_alarma13
;clock_keypad.c,164 :: 		do  //hope that the keypad is pressed and after thar is free.
L_guardar_alarma15:
;clock_keypad.c,165 :: 		kp=Keypad_Key_Click();  //read the keypad.
	CALL       _Keypad_Key_Click+0
	MOVF       R0+0, 0
	MOVWF      _kp+0
;clock_keypad.c,166 :: 		while (!kp);
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_guardar_alarma15
;clock_keypad.c,167 :: 		if(kp==14){
	MOVF       _kp+0, 0
	XORLW      14
	BTFSS      STATUS+0, 2
	GOTO       L_guardar_alarma18
;clock_keypad.c,168 :: 		i=3;
	MOVLW      3
	MOVWF      guardar_alarma_i_L0+0
;clock_keypad.c,169 :: 		Delay_1sec();
	CALL       _Delay_1sec+0
;clock_keypad.c,170 :: 		Lcd_Cmd(_LCD_CLEAR);
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;clock_keypad.c,171 :: 		}
	GOTO       L_guardar_alarma19
L_guardar_alarma18:
;clock_keypad.c,173 :: 		if(kp==9) {
	MOVF       _kp+0, 0
	XORLW      9
	BTFSS      STATUS+0, 2
	GOTO       L_guardar_alarma20
;clock_keypad.c,174 :: 		Lcd_Cmd(_LCD_CLEAR);
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;clock_keypad.c,175 :: 		text = "AlARM WAS SAVED";
	MOVLW      ?lstr7_clock_keypad+0
	MOVWF      _text+0
;clock_keypad.c,176 :: 		Lcd_Out(1,1,text);
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVF       _text+0, 0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;clock_keypad.c,177 :: 		EEPROM_Write(0x81,a0);
	MOVLW      129
	MOVWF      FARG_EEPROM_Write_Address+0
	MOVF       _a0+0, 0
	MOVWF      FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
;clock_keypad.c,178 :: 		EEPROM_Write(0x82,a1);
	MOVLW      130
	MOVWF      FARG_EEPROM_Write_Address+0
	MOVF       _a1+0, 0
	MOVWF      FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
;clock_keypad.c,179 :: 		EEPROM_Write(0x83,a2);
	MOVLW      131
	MOVWF      FARG_EEPROM_Write_Address+0
	MOVF       _a2+0, 0
	MOVWF      FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
;clock_keypad.c,180 :: 		Delay_1sec();
	CALL       _Delay_1sec+0
;clock_keypad.c,181 :: 		buzzer();
	CALL       _buzzer+0
;clock_keypad.c,182 :: 		Lcd_Cmd(_LCD_CLEAR);
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;clock_keypad.c,183 :: 		i=3;
	MOVLW      3
	MOVWF      guardar_alarma_i_L0+0
;clock_keypad.c,184 :: 		}
	GOTO       L_guardar_alarma21
L_guardar_alarma20:
;clock_keypad.c,185 :: 		else i=0;
	CLRF       guardar_alarma_i_L0+0
L_guardar_alarma21:
;clock_keypad.c,186 :: 		}
L_guardar_alarma19:
;clock_keypad.c,187 :: 		kp=0;
	CLRF       _kp+0
;clock_keypad.c,163 :: 		for(i=0; i<=3; i++)  {
	INCF       guardar_alarma_i_L0+0, 1
;clock_keypad.c,188 :: 		}
	GOTO       L_guardar_alarma12
L_guardar_alarma13:
;clock_keypad.c,189 :: 		}
L_end_guardar_alarma:
	RETURN
; end of _guardar_alarma

_clock_start:

;clock_keypad.c,190 :: 		void clock_start() {
;clock_keypad.c,191 :: 		RE0_bit=0;
	BCF        RE0_bit+0, BitPos(RE0_bit+0)
;clock_keypad.c,192 :: 		RE1_bit=0;
	BCF        RE1_bit+0, BitPos(RE1_bit+0)
;clock_keypad.c,193 :: 		RE2_bit=0;
	BCF        RE2_bit+0, BitPos(RE2_bit+0)
;clock_keypad.c,194 :: 		guardar_alarma();
	CALL       _guardar_alarma+0
;clock_keypad.c,195 :: 		Activar_alarma();
	CALL       _Activar_alarma+0
;clock_keypad.c,196 :: 		buzzer();
	CALL       _buzzer+0
;clock_keypad.c,197 :: 		LOOP:
___clock_start_LOOP:
;clock_keypad.c,198 :: 		text = "CLOCK:";
	MOVLW      ?lstr8_clock_keypad+0
	MOVWF      _text+0
;clock_keypad.c,199 :: 		Lcd_Out(2,1,text);
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVF       _text+0, 0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;clock_keypad.c,200 :: 		text = "ALARM:";
	MOVLW      ?lstr9_clock_keypad+0
	MOVWF      _text+0
;clock_keypad.c,201 :: 		Lcd_Out(1,1,text);
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVF       _text+0, 0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;clock_keypad.c,202 :: 		for(i=hours; i<=23; i++) {
	MOVF       _hours+0, 0
	MOVWF      _i+0
L_clock_start22:
	MOVLW      128
	XORLW      23
	MOVWF      R0+0
	MOVLW      128
	XORWF      _i+0, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_clock_start23
;clock_keypad.c,203 :: 		for(j=minutes; j<=59; j++) {
	MOVF       _minutes+0, 0
	MOVWF      _j+0
L_clock_start25:
	MOVLW      128
	XORLW      59
	MOVWF      R0+0
	MOVLW      128
	XORWF      _j+0, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_clock_start26
;clock_keypad.c,204 :: 		for(k=seconds; k<=59; k++) {
	MOVF       _seconds+0, 0
	MOVWF      _k+0
L_clock_start28:
	MOVLW      128
	XORLW      59
	MOVWF      R0+0
	MOVLW      128
	XORWF      _k+0, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_clock_start29
;clock_keypad.c,205 :: 		if((i==a0)&& (j==a1) && (k==a2) &&(H==1)) RD0_bit=1;
	MOVLW      0
	BTFSC      _i+0, 7
	MOVLW      255
	XORWF      _a0+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__clock_start96
	MOVF       _a0+0, 0
	XORWF      _i+0, 0
L__clock_start96:
	BTFSS      STATUS+0, 2
	GOTO       L_clock_start33
	MOVLW      0
	BTFSC      _j+0, 7
	MOVLW      255
	XORWF      _a1+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__clock_start97
	MOVF       _a1+0, 0
	XORWF      _j+0, 0
L__clock_start97:
	BTFSS      STATUS+0, 2
	GOTO       L_clock_start33
	MOVLW      0
	BTFSC      _k+0, 7
	MOVLW      255
	XORWF      _a2+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__clock_start98
	MOVF       _a2+0, 0
	XORWF      _k+0, 0
L__clock_start98:
	BTFSS      STATUS+0, 2
	GOTO       L_clock_start33
	MOVF       _H+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_clock_start33
L__clock_start88:
	BSF        RD0_bit+0, BitPos(RD0_bit+0)
L_clock_start33:
;clock_keypad.c,206 :: 		if(i==23) hours=0;
	MOVF       _i+0, 0
	XORLW      23
	BTFSS      STATUS+0, 2
	GOTO       L_clock_start34
	CLRF       _hours+0
	CLRF       _hours+1
L_clock_start34:
;clock_keypad.c,207 :: 		if(j==59) minutes=0;
	MOVF       _j+0, 0
	XORLW      59
	BTFSS      STATUS+0, 2
	GOTO       L_clock_start35
	CLRF       _minutes+0
	CLRF       _minutes+1
L_clock_start35:
;clock_keypad.c,208 :: 		if(k==59) seconds=0;
	MOVF       _k+0, 0
	XORLW      59
	BTFSS      STATUS+0, 2
	GOTO       L_clock_start36
	CLRF       _seconds+0
	CLRF       _seconds+1
L_clock_start36:
;clock_keypad.c,210 :: 		if(Keypad_Key_Press()) delay_ms(1), RD0_bit=0;  //if you want to turn off the alarm then you                                  // have to press any key until the led is off
	CALL       _Keypad_Key_Press+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_clock_start37
	MOVLW      2
	MOVWF      R12+0
	MOVLW      75
	MOVWF      R13+0
L_clock_start38:
	DECFSZ     R13+0, 1
	GOTO       L_clock_start38
	DECFSZ     R12+0, 1
	GOTO       L_clock_start38
	BCF        RD0_bit+0, BitPos(RD0_bit+0)
L_clock_start37:
;clock_keypad.c,211 :: 		print_clock2();
	CALL       _print_clock2+0
;clock_keypad.c,204 :: 		for(k=seconds; k<=59; k++) {
	INCF       _k+0, 1
;clock_keypad.c,212 :: 		}
	GOTO       L_clock_start28
L_clock_start29:
;clock_keypad.c,203 :: 		for(j=minutes; j<=59; j++) {
	INCF       _j+0, 1
;clock_keypad.c,213 :: 		}
	GOTO       L_clock_start25
L_clock_start26:
;clock_keypad.c,202 :: 		for(i=hours; i<=23; i++) {
	INCF       _i+0, 1
;clock_keypad.c,214 :: 		}
	GOTO       L_clock_start22
L_clock_start23:
;clock_keypad.c,215 :: 		goto LOOP;
	GOTO       ___clock_start_LOOP
;clock_keypad.c,216 :: 		}
L_end_clock_start:
	RETURN
; end of _clock_start

_main:

;clock_keypad.c,217 :: 		void main() {
;clock_keypad.c,218 :: 		set_up();
	CALL       _set_up+0
;clock_keypad.c,219 :: 		a0 = EEPROM_Read(0x81);
	MOVLW      129
	MOVWF      FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      _a0+0
	CLRF       _a0+1
;clock_keypad.c,220 :: 		a1 = EEPROM_Read(0x82);
	MOVLW      130
	MOVWF      FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      _a1+0
	CLRF       _a1+1
;clock_keypad.c,221 :: 		a2 = EEPROM_Read(0x83);
	MOVLW      131
	MOVWF      FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      _a2+0
	CLRF       _a2+1
;clock_keypad.c,222 :: 		text = "CLOCK:";
	MOVLW      ?lstr10_clock_keypad+0
	MOVWF      _text+0
;clock_keypad.c,223 :: 		Lcd_Out(2,1,text);
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVF       _text+0, 0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;clock_keypad.c,224 :: 		text = "ALARM:";
	MOVLW      ?lstr11_clock_keypad+0
	MOVWF      _text+0
;clock_keypad.c,225 :: 		Lcd_Out(1,1,text);
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVF       _text+0, 0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;clock_keypad.c,226 :: 		buzzer();
	CALL       _buzzer+0
;clock_keypad.c,227 :: 		while (1){
L_main39:
;clock_keypad.c,228 :: 		if(select==0){   //configure the clock
	MOVF       _select+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_main41
;clock_keypad.c,229 :: 		if(aux==0) hours = 10*hours + contador;
	MOVF       _aux+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_main42
	MOVLW      10
	MOVWF      R0+0
	MOVLW      0
	MOVWF      R0+1
	MOVF       _hours+0, 0
	MOVWF      R4+0
	MOVF       _hours+1, 0
	MOVWF      R4+1
	CALL       _Mul_16X16_U+0
	MOVF       _contador+0, 0
	ADDWF      R0+0, 0
	MOVWF      _hours+0
	MOVF       R0+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      _hours+1
	MOVLW      0
	BTFSC      _contador+0, 7
	MOVLW      255
	ADDWF      _hours+1, 1
L_main42:
;clock_keypad.c,230 :: 		if(aux==1) minutes = 10*minutes + contador;
	MOVF       _aux+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_main43
	MOVLW      10
	MOVWF      R0+0
	MOVLW      0
	MOVWF      R0+1
	MOVF       _minutes+0, 0
	MOVWF      R4+0
	MOVF       _minutes+1, 0
	MOVWF      R4+1
	CALL       _Mul_16X16_U+0
	MOVF       _contador+0, 0
	ADDWF      R0+0, 0
	MOVWF      _minutes+0
	MOVF       R0+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      _minutes+1
	MOVLW      0
	BTFSC      _contador+0, 7
	MOVLW      255
	ADDWF      _minutes+1, 1
L_main43:
;clock_keypad.c,231 :: 		if(aux==2) seconds = 10*seconds + contador;
	MOVF       _aux+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L_main44
	MOVLW      10
	MOVWF      R0+0
	MOVLW      0
	MOVWF      R0+1
	MOVF       _seconds+0, 0
	MOVWF      R4+0
	MOVF       _seconds+1, 0
	MOVWF      R4+1
	CALL       _Mul_16X16_U+0
	MOVF       _contador+0, 0
	ADDWF      R0+0, 0
	MOVWF      _seconds+0
	MOVF       R0+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      _seconds+1
	MOVLW      0
	BTFSC      _contador+0, 7
	MOVLW      255
	ADDWF      _seconds+1, 1
L_main44:
;clock_keypad.c,232 :: 		if(clear==1) {
	MOVF       _clear+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_main45
;clock_keypad.c,233 :: 		if(aux==0) hours=0;
	MOVF       _aux+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_main46
	CLRF       _hours+0
	CLRF       _hours+1
L_main46:
;clock_keypad.c,234 :: 		if(aux==1) minutes=0;
	MOVF       _aux+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_main47
	CLRF       _minutes+0
	CLRF       _minutes+1
L_main47:
;clock_keypad.c,235 :: 		if(aux==2) seconds=0;
	MOVF       _aux+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L_main48
	CLRF       _seconds+0
	CLRF       _seconds+1
L_main48:
;clock_keypad.c,236 :: 		clear=0;
	CLRF       _clear+0
;clock_keypad.c,237 :: 		}
L_main45:
;clock_keypad.c,238 :: 		if(hours>23) hours=0;
	MOVF       _hours+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main100
	MOVF       _hours+0, 0
	SUBLW      23
L__main100:
	BTFSC      STATUS+0, 0
	GOTO       L_main49
	CLRF       _hours+0
	CLRF       _hours+1
L_main49:
;clock_keypad.c,239 :: 		if(minutes>59) minutes=0;
	MOVF       _minutes+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main101
	MOVF       _minutes+0, 0
	SUBLW      59
L__main101:
	BTFSC      STATUS+0, 0
	GOTO       L_main50
	CLRF       _minutes+0
	CLRF       _minutes+1
L_main50:
;clock_keypad.c,240 :: 		if(seconds>59) seconds=0;
	MOVF       _seconds+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main102
	MOVF       _seconds+0, 0
	SUBLW      59
L__main102:
	BTFSC      STATUS+0, 0
	GOTO       L_main51
	CLRF       _seconds+0
	CLRF       _seconds+1
L_main51:
;clock_keypad.c,241 :: 		}
	GOTO       L_main52
L_main41:
;clock_keypad.c,243 :: 		if(aux==0) a0 = 10*a0 + contador;
	MOVF       _aux+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_main53
	MOVLW      10
	MOVWF      R0+0
	MOVLW      0
	MOVWF      R0+1
	MOVF       _a0+0, 0
	MOVWF      R4+0
	MOVF       _a0+1, 0
	MOVWF      R4+1
	CALL       _Mul_16X16_U+0
	MOVF       _contador+0, 0
	ADDWF      R0+0, 0
	MOVWF      _a0+0
	MOVF       R0+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      _a0+1
	MOVLW      0
	BTFSC      _contador+0, 7
	MOVLW      255
	ADDWF      _a0+1, 1
L_main53:
;clock_keypad.c,244 :: 		if(aux==1) a1 = 10*a1 + contador;
	MOVF       _aux+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_main54
	MOVLW      10
	MOVWF      R0+0
	MOVLW      0
	MOVWF      R0+1
	MOVF       _a1+0, 0
	MOVWF      R4+0
	MOVF       _a1+1, 0
	MOVWF      R4+1
	CALL       _Mul_16X16_U+0
	MOVF       _contador+0, 0
	ADDWF      R0+0, 0
	MOVWF      _a1+0
	MOVF       R0+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      _a1+1
	MOVLW      0
	BTFSC      _contador+0, 7
	MOVLW      255
	ADDWF      _a1+1, 1
L_main54:
;clock_keypad.c,245 :: 		if(aux==2) a2 = 10*a2 + contador;
	MOVF       _aux+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L_main55
	MOVLW      10
	MOVWF      R0+0
	MOVLW      0
	MOVWF      R0+1
	MOVF       _a2+0, 0
	MOVWF      R4+0
	MOVF       _a2+1, 0
	MOVWF      R4+1
	CALL       _Mul_16X16_U+0
	MOVF       _contador+0, 0
	ADDWF      R0+0, 0
	MOVWF      _a2+0
	MOVF       R0+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      _a2+1
	MOVLW      0
	BTFSC      _contador+0, 7
	MOVLW      255
	ADDWF      _a2+1, 1
L_main55:
;clock_keypad.c,246 :: 		if(clear==1) {
	MOVF       _clear+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_main56
;clock_keypad.c,247 :: 		if(aux==0) a0=0;
	MOVF       _aux+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_main57
	CLRF       _a0+0
	CLRF       _a0+1
L_main57:
;clock_keypad.c,248 :: 		if(aux==1) a1=0;
	MOVF       _aux+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_main58
	CLRF       _a1+0
	CLRF       _a1+1
L_main58:
;clock_keypad.c,249 :: 		if(aux==2) a2=0;
	MOVF       _aux+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L_main59
	CLRF       _a2+0
	CLRF       _a2+1
L_main59:
;clock_keypad.c,250 :: 		clear=0;
	CLRF       _clear+0
;clock_keypad.c,251 :: 		}
L_main56:
;clock_keypad.c,252 :: 		if(a0>23) a0=0;
	MOVF       _a0+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main103
	MOVF       _a0+0, 0
	SUBLW      23
L__main103:
	BTFSC      STATUS+0, 0
	GOTO       L_main60
	CLRF       _a0+0
	CLRF       _a0+1
L_main60:
;clock_keypad.c,253 :: 		if(a1>59) a1=0;
	MOVF       _a1+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main104
	MOVF       _a1+0, 0
	SUBLW      59
L__main104:
	BTFSC      STATUS+0, 0
	GOTO       L_main61
	CLRF       _a1+0
	CLRF       _a1+1
L_main61:
;clock_keypad.c,254 :: 		if(a2>59) a2=0;
	MOVF       _a2+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main105
	MOVF       _a2+0, 0
	SUBLW      59
L__main105:
	BTFSC      STATUS+0, 0
	GOTO       L_main62
	CLRF       _a2+0
	CLRF       _a2+1
L_main62:
;clock_keypad.c,255 :: 		}
L_main52:
;clock_keypad.c,256 :: 		print_clock();
	CALL       _print_clock+0
;clock_keypad.c,257 :: 		do  //hope that the keypad is pressed and after thar is free.
L_main63:
;clock_keypad.c,258 :: 		kp=Keypad_Key_Click();  //read the keypad.
	CALL       _Keypad_Key_Click+0
	MOVF       R0+0, 0
	MOVWF      _kp+0
;clock_keypad.c,259 :: 		while (!kp);
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main63
;clock_keypad.c,260 :: 		switch (kp){
	GOTO       L_main66
;clock_keypad.c,261 :: 		case  1: contador = 7; clear=0;  break;  // 7
L_main68:
	MOVLW      7
	MOVWF      _contador+0
	CLRF       _clear+0
	GOTO       L_main67
;clock_keypad.c,262 :: 		case  2: contador = 8; clear=0;  break;  // 8
L_main69:
	MOVLW      8
	MOVWF      _contador+0
	CLRF       _clear+0
	GOTO       L_main67
;clock_keypad.c,263 :: 		case  3: contador = 9; clear=0;  break;  // 9
L_main70:
	MOVLW      9
	MOVWF      _contador+0
	CLRF       _clear+0
	GOTO       L_main67
;clock_keypad.c,264 :: 		case  4: contador = 0; clear=0; select++; break; // (./.) select confuguration for clock or alarm
L_main71:
	CLRF       _contador+0
	CLRF       _clear+0
	INCF       _select+0, 1
	GOTO       L_main67
;clock_keypad.c,265 :: 		case  5: contador = 4; clear=0; break;  // 4
L_main72:
	MOVLW      4
	MOVWF      _contador+0
	CLRF       _clear+0
	GOTO       L_main67
;clock_keypad.c,266 :: 		case  6: contador = 5; clear=0; break;  // 5
L_main73:
	MOVLW      5
	MOVWF      _contador+0
	CLRF       _clear+0
	GOTO       L_main67
;clock_keypad.c,267 :: 		case  7: contador = 6; clear=0; break;  // 6
L_main74:
	MOVLW      6
	MOVWF      _contador+0
	CLRF       _clear+0
	GOTO       L_main67
;clock_keypad.c,268 :: 		case  8: contador = 0; clear=1; break; // (X) clear
L_main75:
	CLRF       _contador+0
	MOVLW      1
	MOVWF      _clear+0
	GOTO       L_main67
;clock_keypad.c,269 :: 		case  9: contador = 1; clear=0; break;  // 1
L_main76:
	MOVLW      1
	MOVWF      _contador+0
	CLRF       _clear+0
	GOTO       L_main67
;clock_keypad.c,270 :: 		case 10: contador = 2; clear=0; break;  // 2
L_main77:
	MOVLW      2
	MOVWF      _contador+0
	CLRF       _clear+0
	GOTO       L_main67
;clock_keypad.c,271 :: 		case 11: contador = 3; clear=0; break;  // 3
L_main78:
	MOVLW      3
	MOVWF      _contador+0
	CLRF       _clear+0
	GOTO       L_main67
;clock_keypad.c,272 :: 		case 12: contador = 0; clear=0; aux=2;break; //(-)set seconds
L_main79:
	CLRF       _contador+0
	CLRF       _clear+0
	MOVLW      2
	MOVWF      _aux+0
	GOTO       L_main67
;clock_keypad.c,273 :: 		case 13: clock_start(); ; break; //(ON/C) GO clock
L_main80:
	CALL       _clock_start+0
	GOTO       L_main67
;clock_keypad.c,274 :: 		case 14: contador = 0; clear=0; break; // 0
L_main81:
	CLRF       _contador+0
	CLRF       _clear+0
	GOTO       L_main67
;clock_keypad.c,275 :: 		case 15: contador = 0; clear=0; aux=0;  break; //(=)set hours
L_main82:
	CLRF       _contador+0
	CLRF       _clear+0
	CLRF       _aux+0
	GOTO       L_main67
;clock_keypad.c,276 :: 		case 16: contador = 0; clear=0; aux=1;  break;  //(+) set minutes
L_main83:
	CLRF       _contador+0
	CLRF       _clear+0
	MOVLW      1
	MOVWF      _aux+0
	GOTO       L_main67
;clock_keypad.c,295 :: 		}
L_main66:
	MOVF       _kp+0, 0
	XORLW      1
	BTFSC      STATUS+0, 2
	GOTO       L_main68
	MOVF       _kp+0, 0
	XORLW      2
	BTFSC      STATUS+0, 2
	GOTO       L_main69
	MOVF       _kp+0, 0
	XORLW      3
	BTFSC      STATUS+0, 2
	GOTO       L_main70
	MOVF       _kp+0, 0
	XORLW      4
	BTFSC      STATUS+0, 2
	GOTO       L_main71
	MOVF       _kp+0, 0
	XORLW      5
	BTFSC      STATUS+0, 2
	GOTO       L_main72
	MOVF       _kp+0, 0
	XORLW      6
	BTFSC      STATUS+0, 2
	GOTO       L_main73
	MOVF       _kp+0, 0
	XORLW      7
	BTFSC      STATUS+0, 2
	GOTO       L_main74
	MOVF       _kp+0, 0
	XORLW      8
	BTFSC      STATUS+0, 2
	GOTO       L_main75
	MOVF       _kp+0, 0
	XORLW      9
	BTFSC      STATUS+0, 2
	GOTO       L_main76
	MOVF       _kp+0, 0
	XORLW      10
	BTFSC      STATUS+0, 2
	GOTO       L_main77
	MOVF       _kp+0, 0
	XORLW      11
	BTFSC      STATUS+0, 2
	GOTO       L_main78
	MOVF       _kp+0, 0
	XORLW      12
	BTFSC      STATUS+0, 2
	GOTO       L_main79
	MOVF       _kp+0, 0
	XORLW      13
	BTFSC      STATUS+0, 2
	GOTO       L_main80
	MOVF       _kp+0, 0
	XORLW      14
	BTFSC      STATUS+0, 2
	GOTO       L_main81
	MOVF       _kp+0, 0
	XORLW      15
	BTFSC      STATUS+0, 2
	GOTO       L_main82
	MOVF       _kp+0, 0
	XORLW      16
	BTFSC      STATUS+0, 2
	GOTO       L_main83
L_main67:
;clock_keypad.c,296 :: 		kp=0;
	CLRF       _kp+0
;clock_keypad.c,297 :: 		if(select>1) select=0;
	MOVLW      128
	XORLW      1
	MOVWF      R0+0
	MOVLW      128
	XORWF      _select+0, 0
	SUBWF      R0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_main84
	CLRF       _select+0
L_main84:
;clock_keypad.c,298 :: 		if(aux==0) RE0_bit=1, RE1_bit=0, RE2_bit=0;
	MOVF       _aux+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_main85
	BSF        RE0_bit+0, BitPos(RE0_bit+0)
	BCF        RE1_bit+0, BitPos(RE1_bit+0)
	BCF        RE2_bit+0, BitPos(RE2_bit+0)
L_main85:
;clock_keypad.c,299 :: 		if(aux==1) RE0_bit=0, RE1_bit=1, RE2_bit=0;
	MOVF       _aux+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_main86
	BCF        RE0_bit+0, BitPos(RE0_bit+0)
	BSF        RE1_bit+0, BitPos(RE1_bit+0)
	BCF        RE2_bit+0, BitPos(RE2_bit+0)
L_main86:
;clock_keypad.c,300 :: 		if(aux==2) RE0_bit=0, RE1_bit=0, RE2_bit=1;
	MOVF       _aux+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L_main87
	BCF        RE0_bit+0, BitPos(RE0_bit+0)
	BCF        RE1_bit+0, BitPos(RE1_bit+0)
	BSF        RE2_bit+0, BitPos(RE2_bit+0)
L_main87:
;clock_keypad.c,301 :: 		buzzer();
	CALL       _buzzer+0
;clock_keypad.c,302 :: 		}
	GOTO       L_main39
;clock_keypad.c,303 :: 		}
L_end_main:
	GOTO       $+0
; end of _main
