#line 1 "C:/Users/Usuario/Documents/MikroC_pro_pic/keypad/clock_keypad/clock_keypad.c"


char keypadPort at PORTB;

sbit LCD_RS at RD2_bit;
sbit LCD_EN at RD3_bit;
sbit LCD_D4 at RD4_bit;
sbit LCD_D5 at RD5_bit;
sbit LCD_D6 at RD6_bit;
sbit LCD_D7 at RD7_bit;
sbit LCD_RS_Direction at TRISD2_bit;
sbit LCD_EN_Direction at TRISD3_bit;
sbit LCD_D4_Direction at TRISD4_bit;
sbit LCD_D5_Direction at TRISD5_bit;
sbit LCD_D6_Direction at TRISD6_bit;
sbit LCD_D7_Direction at TRISD7_bit;

unsigned int hours=0, minutes=0, seconds=0, a0=0, a1=0, a2=0;
short int contador=0, aux=0, clear=0, select=0, i=0, j=0, k=0;
char *text, kp=0, H=0;
unsigned char ch;

void set_up() {

 ANSEL = 0;
 ANSELH = 0;
 C1ON_bit = 0;
 C2ON_bit = 0;
 CCP1CON = 0;
 CCP2CON = 0;
 TRISD0_bit=0;
 TRISD1_bit=0;
 TRISE0_bit=0;
 TRISE1_bit=0;
 TRISE2_bit=0;
 RD0_bit=0;
 RD1_bit=0;
 RE0_bit=0;
 RE1_bit=0;
 RE2_bit=0;
 Keypad_Init();
 Lcd_Init();
 Lcd_Cmd(_LCD_CLEAR);
 Lcd_Cmd(_LCD_CURSOR_OFF);
}

void print_clock() {

 ch = a0 / 10;
 Lcd_Chr(1,8,48+ch);
 ch = a0 % 10;
 Lcd_Chr_CP(48+ch);
 Lcd_Chr(1,10,':');
 ch = a1 / 10;
 Lcd_Chr(1,11,48+ch);
 ch = a1 % 10;
 Lcd_Chr_CP(48+ch);
 Lcd_Chr(1,13,':');
 ch = a2 / 10;
 Lcd_Chr(1,14,48+ch);
 ch = a2 % 10;
 Lcd_Chr_CP(48+ch);
 ch = hours / 10;
 Lcd_Chr(2,8,48+ch);
 ch = hours % 10;
 Lcd_Chr_CP(48+ch);
 Lcd_Chr(2,10,':');
 ch = minutes / 10;
 Lcd_Chr(2,11,48+ch);
 ch = minutes % 10;
 Lcd_Chr_CP(48+ch);
 Lcd_Chr(2,13,':');
 ch = seconds / 10;
 Lcd_Chr(2,14,48+ch);
 ch = seconds % 10;
 Lcd_Chr_CP(48+ch);
}
void print_clock2() {

 ch = a0 / 10;
 Lcd_Chr(1,8,48+ch);
 ch = a0 % 10;
 Lcd_Chr_CP(48+ch);
 Lcd_Chr(1,10,':');
 ch = a1 / 10;
 Lcd_Chr(1,11,48+ch);
 ch = a1 % 10;
 Lcd_Chr_CP(48+ch);
 Lcd_Chr(1,13,':');
 ch = a2 / 10;
 Lcd_Chr(1,14,48+ch);
 ch = a2 % 10;
 Lcd_Chr_CP(48+ch);
 ch = i / 10;
 Lcd_Chr(2,8,48+ch);
 ch = i % 10;
 Lcd_Chr_CP(48+ch);
 Lcd_Chr(2,10,':');
 ch = j / 10;
 Lcd_Chr(2,11,48+ch);
 ch = j % 10;
 Lcd_Chr_CP(48+ch);
 Lcd_Chr(2,13,':');
 ch = k / 10;
 Lcd_Chr(2,14,48+ch);
 ch = k % 10;
 Lcd_Chr_CP(48+ch);
 Delay_1sec();
}

void buzzer() {
 RD1_bit=1;
 delay_ms( 150 );
 RD1_bit=0;
 delay_ms( 150 );
}
void Activar_alarma() {
short i=0;
kp=0;
buzzer();
for(i=0; i<=3; i++) {
Lcd_Cmd(_LCD_CLEAR);
text = "ENABLE ALARM";
Lcd_Out(1,1,text);
text = "YES(1)_NO(0)";
Lcd_Out(2,1,text);
do
kp=Keypad_Key_Click();
while (!kp);
if(kp==14){
H=0;
i=3;
Delay_1sec();
Lcd_Cmd(_LCD_CLEAR);
}
else {
if(kp==9) {
 Lcd_Cmd(_LCD_CLEAR);
 text = "AlARM WAS";
 Lcd_Out(1,1,text);
 text = "ENABLED";
 Lcd_Out(2,1,text);
 Delay_1sec();
 buzzer();
 Lcd_Cmd(_LCD_CLEAR);
 H=1;
 i=3;
 }
 else i=0;
 }
 kp=0;
 }
}
void guardar_alarma() {
short i=0;
kp=0;
buzzer();
Lcd_Cmd(_LCD_CLEAR);
text = "SAVE AlARM";
Lcd_Out(1,1,text);
text = "YES(1)_NO(0)";
Lcd_Out(2,1,text);
for(i=0; i<=3; i++) {
do
kp=Keypad_Key_Click();
while (!kp);
if(kp==14){
i=3;
Delay_1sec();
Lcd_Cmd(_LCD_CLEAR);
}
else {
if(kp==9) {
 Lcd_Cmd(_LCD_CLEAR);
 text = "AlARM WAS SAVED";
 Lcd_Out(1,1,text);
 EEPROM_Write(0x81,a0);
 EEPROM_Write(0x82,a1);
 EEPROM_Write(0x83,a2);
 Delay_1sec();
 buzzer();
 Lcd_Cmd(_LCD_CLEAR);
 i=3;
 }
 else i=0;
 }
 kp=0;
 }
}
void clock_start() {
RE0_bit=0;
RE1_bit=0;
RE2_bit=0;
guardar_alarma();
Activar_alarma();
buzzer();
LOOP:
text = "CLOCK:";
Lcd_Out(2,1,text);
text = "ALARM:";
Lcd_Out(1,1,text);
for(i=hours; i<=23; i++) {
for(j=minutes; j<=59; j++) {
for(k=seconds; k<=59; k++) {
if((i==a0)&& (j==a1) && (k==a2) &&(H==1)) RD0_bit=1;
if(i==23) hours=0;
if(j==59) minutes=0;
if(k==59) seconds=0;

if(Keypad_Key_Press()) delay_ms(1), RD0_bit=0;
print_clock2();
 }
 }
 }
 goto LOOP;
}
void main() {
set_up();
a0 = EEPROM_Read(0x81);
a1 = EEPROM_Read(0x82);
a2 = EEPROM_Read(0x83);
text = "CLOCK:";
Lcd_Out(2,1,text);
text = "ALARM:";
Lcd_Out(1,1,text);
buzzer();
while (1){
 if(select==0){
 if(aux==0) hours = 10*hours + contador;
 if(aux==1) minutes = 10*minutes + contador;
 if(aux==2) seconds = 10*seconds + contador;
 if(clear==1) {
 if(aux==0) hours=0;
 if(aux==1) minutes=0;
 if(aux==2) seconds=0;
 clear=0;
 }
 if(hours>23) hours=0;
 if(minutes>59) minutes=0;
 if(seconds>59) seconds=0;
 }
 else {
 if(aux==0) a0 = 10*a0 + contador;
 if(aux==1) a1 = 10*a1 + contador;
 if(aux==2) a2 = 10*a2 + contador;
 if(clear==1) {
 if(aux==0) a0=0;
 if(aux==1) a1=0;
 if(aux==2) a2=0;
 clear=0;
 }
 if(a0>23) a0=0;
 if(a1>59) a1=0;
 if(a2>59) a2=0;
 }
 print_clock();
 do
 kp=Keypad_Key_Click();
 while (!kp);
 switch (kp){
 case 1: contador = 7; clear=0; break;
 case 2: contador = 8; clear=0; break;
 case 3: contador = 9; clear=0; break;
 case 4: contador = 0; clear=0; select++; break;
 case 5: contador = 4; clear=0; break;
 case 6: contador = 5; clear=0; break;
 case 7: contador = 6; clear=0; break;
 case 8: contador = 0; clear=1; break;
 case 9: contador = 1; clear=0; break;
 case 10: contador = 2; clear=0; break;
 case 11: contador = 3; clear=0; break;
 case 12: contador = 0; clear=0; aux=2;break;
 case 13: clock_start(); ; break;
 case 14: contador = 0; clear=0; break;
 case 15: contador = 0; clear=0; aux=0; break;
 case 16: contador = 0; clear=0; aux=1; break;
#line 295 "C:/Users/Usuario/Documents/MikroC_pro_pic/keypad/clock_keypad/clock_keypad.c"
 }
 kp=0;
 if(select>1) select=0;
 if(aux==0) RE0_bit=1, RE1_bit=0, RE2_bit=0;
 if(aux==1) RE0_bit=0, RE1_bit=1, RE2_bit=0;
 if(aux==2) RE0_bit=0, RE1_bit=0, RE2_bit=1;
 buzzer();
 }
}
